/* eslint-disable */
// @ts-ignore
import { request } from '@/utils/request';

/** BEDL_JGF007
监管批量代发查询_银企直联 POST /api/PingAnJGF/BatchInquiriesRegulators */
export async function batchInquiriesRegulators(
  body: API.BatchInquiriesRegulatorsInput,
  options?: API.RequestConfig
) {
  return request<API.BatchInquiriesRegulatorsOutput>('/api/PingAnJGF/BatchInquiriesRegulators', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_JGF006
监管批量代发_银企直联 POST /api/PingAnJGF/BatchIssuanceRegulators */
export async function batchIssuanceRegulators(
  body: API.BatchIssuanceRegulatorsInput,
  options?: API.RequestConfig
) {
  return request<API.BatchIssuanceRegulatorsOutput>('/api/PingAnJGF/BatchIssuanceRegulators', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
    },
    data: body,
    ...(options || {}),
  });
}

/** BEDL_JGF005
监管单笔代发查询_银企直联 POST /api/PingAnJGF/EnquiriesAboutSingleTransaction */
export async function enquiriesAboutSingleTransaction(
  body: API.EnquiriesAboutSingleTransactionInput,
  options?: API.RequestConfig
) {
  return request<API.EnquiriesAboutSingleTransactionOutput>(
    '/api/PingAnJGF/EnquiriesAboutSingleTransaction',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_JGF003
账户止付详情查询_银企直联 POST /api/PingAnJGF/InquiryAccountStopPaymentDetails */
export async function inquiryAccountStopPaymentDetails(
  body: API.InquiryAccountStopPaymentDetailsInput,
  options?: API.RequestConfig
) {
  return request<API.InquiryAccountStopPaymentDetailsOutput>(
    '/api/PingAnJGF/InquiryAccountStopPaymentDetails',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_JGF004
监管单笔代发_银企直联 POST /api/PingAnJGF/IssuanceSingleTransactionRegulators */
export async function issuanceSingleTransactionRegulators(
  body: API.IssuanceSingleTransactionRegulatorsInput,
  options?: API.RequestConfig
) {
  return request<API.IssuanceSingleTransactionRegulatorsOutput>(
    '/api/PingAnJGF/IssuanceSingleTransactionRegulators',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_JGF002
单笔监管止付支付申请_银企直联 POST /api/PingAnJGF/SingleApplicationSuspensionPayment */
export async function singleApplicationSuspensionPayment(
  body: API.SingleApplicationSuspensionPaymentInput,
  options?: API.RequestConfig
) {
  return request<API.SingleApplicationSuspensionPaymentOutput>(
    '/api/PingAnJGF/SingleApplicationSuspensionPayment',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}

/** BEDL_JGF001
账户止付和解止付_银企直联 POST /api/PingAnJGF/StopPaymentAndSettlementAccounts */
export async function stopPaymentAndSettlementAccounts(
  body: API.StopPaymentAndSettlementAccountsInput,
  options?: API.RequestConfig
) {
  return request<API.StopPaymentAndSettlementAccountsOutput>(
    '/api/PingAnJGF/StopPaymentAndSettlementAccounts',
    {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      data: body,
      ...(options || {}),
    }
  );
}
